package com.sifang.modules.q7link.entity;

import java.util.Date;
import java.util.List;

public class WuziOrder {

    private String id; // 订单id
    private String code; // 订单编码
    private String csLingChuCangKuCode; // 仓库编码
    private String billStatus; // 单据状态
    private String billTypeId; // 单据类型
    private Date businessDate; // 业务日期 即 同步时间
    private List<WuziOrderDetail> details; //明细列表
    private String deliverOrderId; // 系统的物料发货单记录id

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCsLingChuCangKuCode() {
        return csLingChuCangKuCode;
    }

    public void setCsLingChuCangKuCode(String csLingChuCangKuCode) {
        this.csLingChuCangKuCode = csLingChuCangKuCode;
    }

    public String getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(String billStatus) {
        this.billStatus = billStatus;
    }

    public String getBillTypeId() {
        return billTypeId;
    }

    public void setBillTypeId(String billTypeId) {
        this.billTypeId = billTypeId;
    }

    public Date getBusinessDate() {
        return businessDate;
    }

    public void setBusinessDate(Date businessDate) {
        this.businessDate = businessDate;
    }

    public List<WuziOrderDetail> getDetails() {
        return details;
    }

    public void setDetails(List<WuziOrderDetail> details) {
        this.details = details;
    }

    public String getDeliverOrderId() {
        return deliverOrderId;
    }

    public void setDeliverOrderId(String deliverOrderId) {
        this.deliverOrderId = deliverOrderId;
    }
}
